#!/bin/bash

PASSWD_FILE="/etc/passwd"
SEARCH_USER=$1

while read -r ROW || [ -n "$ROW" ];
do  
    USER=$(echo $ROW | awk -F: '{ print $1 }')

    if [[ $USER == $SEARCH_USER ]]
    then
        HOME_DIR=$(echo $ROW | awk -F: '{ print $6 }')
        echo "Home directory: $HOME_DIR"
        exit 0
    fi
done < $PASSWD_FILE

echo "User \"$SEARCH_USER\" not found"
exit 1