#!/bin/bash

[ -e README.md ] && rm README.md

touch README.md

FILES="solutions/*.sh"

echo "# Bash Scripting SOLUTIONS [@asegers]" >> README.md
echo "" >> README.md
echo "Run \`generate-readme.sh\` to parse solutions here." >> README.md

for FILE in $FILES
do 
    BASE=$(basename -s .sh $FILE)
    Q_URL="## Q: [$BASE](https://gitlab.mynisum.com/devops/devops-foundation/blob/master/bash-scripting/questions/$BASE.md)"
    
    echo "" >> README.md
    echo $Q_URL >> README.md
    echo "\`\`\`bash" >> README.md
    cat $FILE >> README.md
    echo "" >> README.md
    echo "\`\`\`" >> README.md
done